ScanopyScanopy
Daemons

Test reachability of a daemon URL

Performs a TCP connection test and optionally an HTTP health check to verify that a daemon URL is reachable from the server.

POST
/api/v1/daemons/test-reachability
Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Request Body

application/json

url*string

Full URL of the daemon (e.g. "https://daemon.example.com:60073")

check_health?boolean

If true, also perform an HTTP GET to {url}/health after the TCP check

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/daemons/test-reachability" \  -H "Content-Type: application/json" \  -d '{    "url": "string"  }'
{
  "meta": {
    "api_version": 1,
    "server_version": "0.14.18"
  },
  "success": true,
  "data": {
    "reachable": true,
    "error": "string",
    "health": true
  },
  "error": "string"
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.14.18"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}